#!/bin/bash

###########################################################
# Script that allow list current DNS server and
# set new primary and secondary DNS servers.
#
# Usage: script (set/get) [newPrimaryDNS] [newSecondaryDNS]
#
# Warning: When you set DNS using this script, all (previous)
# DNS servers in /etc/resolv.conf are removed!
###########################################################

if [ "$1" = "get" ]; then

	# return all DNS entries
	cat /etc/resolv.conf | grep nameserver 

elif [ "$1" = "set" ]; then

	# set DNS server (primary or primary+secondary)
	if [ "$#" = "2" ]; then

		# set only primary DNS server
 		sed -i -e "/nameserver/d" /etc/resolv.conf
		echo "nameserver $2" >> /etc/resolv.conf		

	elif [ "$#" = "3" ]; then	

		# set both primary and secondary DNS servers
		sed -i -e "/nameserver/d" /etc/resolv.conf
                echo "nameserver $2" >> /etc/resolv.conf
		echo "nameserver $3" >> /etc/resolv.conf

	else
		echo "Script error. Bad parameters."
	fi	 
else
	echo "Script error. Missing parameter get/set."
fi

