#/bin/bash

if [[ "$#" -ne 2 ]]; then
	echo "Illegal number of parameters. Run ./debctlsvc.sh <action> <service name>"
	exit 1
fi

SERVICE_ACTION=$1
SERVICE_NAME=$2

/bin/systemctl list-unit-files ${SERVICE_NAME}.service 2>/dev/nul | /bin/grep ${SERVICE_NAME}.service >/dev/nul

#Detect systemd service
if [ "$?" -eq 0 ]; then
	/bin/systemctl ${SERVICE_ACTION} ${SERVICE_NAME}.service >/dev/nul 2>&1
else
	/etc/init.d/${SERVICE_NAME} ${SERVICE_ACTION} >/dev/nul 2>&1
fi

exit $?
