#!/bin/bash

###########################################################
# Script that allow load current time zone or
# set new time zone.
#
# Usage: script (set/get) [newTimeZone] 
#
# Note: newTimeZone - has to be UNIX time zone name
###########################################################

if [ "$1" = "get" ]; then

	# return UNIX name of curret time zone
	cat /etc/timezone 

elif [ "$1" = "set" ]; then

	# set new time zone
	echo "$2" > /etc/timezone
	# force OS to reload new time zone
	dpkg-reconfigure --frontend noninteractive tzdata

    # Whenever selected time zone refers to another one (ex. US/Hawaii ->
    # Pacific/Honolulu) dpkg-reconfigure rewrites content of /etc/timezone file    
    # we set. Hence, we write it one more time in order to display selected
    # time zone by user correctly (bug #70986).
	echo "$2" > /etc/timezone

else
	echo "Script error. Missing parameter get/set."
fi



